const { app, BrowserWindow, Menu, nativeImage } = require('electron')

// let appIcon = nativeImage.createFromPath('assets/img/alphaIcon-blue-win.png')

let appIcon = nativeImage.createFromPath('resources/app/assets/img/alphaIcon-blue-win.png')

function createWindow() {

  const win = new BrowserWindow({
    alwaysOnTop: true,
    backgroundColor: '#fff',
    fullscreen: false,
    fullscreenable: false,
    width:  525,
    height: 650,
    icon: appIcon,
    maximizable: false,
    moveable: true,
    resizable: false,
    title: "alphaPhonetics User Preferences",
    webPreferences: {
      nodeIntegration: true, // Allows using require
     // contextIsolation: false
    },
  })

  // Initialize and Load the User Preferences Window
  win.loadFile("UserPreferences.html")
  //win.openDevTools({mode: 'bottom'})
  //win.openDevTools()

} //function createWindow()

// This menu template replaces the default menu in the
// main.html window with white space, i.e. no menu bar
let menu = Menu.buildFromTemplate ([
  {
    label: '',
    icon: nativeImage.createFromPath('assets/img/alphaIcon-blue-win.png')
  }
])
Menu.setApplicationMenu(menu)

// LOAD THE USER PREFERENCES PARENT WINDOW
app.whenReady().then(createWindow)

// When closing a window ensure the window and its
// proceeses are closed on Mac platform.
app.on('window-all-closed', function () {
  if (process.platform !== 'darwin') app.quit()
  app.on('closed', () => app.quit())
})